/** \file bogo_ustat.c
 * \author Matthias Andree
 * \date 2005-05-15
 *
 * This file is licensed under the GNU General Public License v2.
 */

#include "system.h"
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

int main(int argc, char **argv) {
    int i, e = EXIT_SUCCESS;
    struct stat st;

    for (i = 1; i < argc; i++) {
	if (stat(argv[i], &st)) {
	    e = EXIT_FAILURE;
	    perror(argv[i]);
	} else
	    printf("%lu:%lu\n",
		    (unsigned long)st.st_dev, (unsigned long)st.st_ino);
    }

    exit(e);
}
